## 开发说明
### 路径别名
具体信息请参考 [jsconfig.json](./jsconfig.json) [webpack配置](./build/webpack.config.js)  

#### ⚠️注意事项
1. 如果在vue文件中无法得到智能提示，请将packages单独作为项目打开
2. style标签内使用相对地址请加上 *~*

### 样式文件开发
#### 入口 [packages/style](./style/)
公用样式放在[common](./style/common/)
组件专用样式以 [filename].scss 进行命名

### 开发说明
#### 组件属性
##### props
使用[工具类](./packages/utils/component.js)来生成对应的props定义
##### name
业务组件使用*Xc*开头进行拼接
##### provide / inject
主要在*WorkflowCollect*、*WorkflowDetail*组件中进行使用，函数类型数据或者顶级配置数据使用该项来传递

### 组件参数解析
#### collect
[util](./packages/utils/workflowCollect.js)

#### detail
[util](./packages/utils/workflowDetail.js)

## 引用说明
### 按需引用
> 从全局引用修改为按需引用后，需要重新启动项目，不然页面可能样式加载会出现问题
1. 安装插件
```bash
 npm i -D babel-plugin-component 
```
2. 配置babel(babel.config.js | .babelrc)
```javascript
{
  plugins: [
    [
      "component",
      {
        libraryName: "xc-workflow-ui",
        styleLibrary: {
          // same with styleLibraryName
          name: "style", 
          // if theme package has a base.css
          base: false, 
        },
        // 文件名称是否转换为折线式
        camel2Dash: false,
      },
    ],
  ],
}
```

### 全局引用
⚠️组件库内部已引用vant全局样式，请删除原项目vant样式引用，避免打包体积过大  
如果不使用插件 babel-plugin-component 则需要引入全局css

```javascript
import "xc-workflow-ui/lib/style/index.css";
```

删除已有的vant样式
> ~~import "vant/lib/index.less";~~

## todo
1. [x] 测试采集、详情页面功能是否正常
   1. [x] 采集 *7.27*
   2. [x] 详情 *7.27*
2. [x] 恢复音频功能
   1. [x] 采集
   2. [x] 详情
3. eslint
   1. [x] js
   2. [x] vue
4. [x] banner 暴露为插槽
5. [x] dataLoadApis *8.2*
6. [x] cascader 迁移 *8.2*
7. [x] 派遣按钮功能实现 *8.5*
8. [x] 采集 定位 center *8.3*
9. [ ] types
   
## 打包相关
[参考链接](https://juejin.cn/post/6932736907830886413)

## 提交说明
1. 本地commit修改记录
2. generate changelog
3. publish